##  for PCLinuxOS  ##

%define  ver  1.4.2
%define  rel  3

%define  git_date  20150413
%if %{git_date}
%define  realrel  %{rel}.git%{git_date}.nora17
%else
%define  realrel  %{rel}.nora17
%endif

%define  ibus_ver  1.5.16

Name:     ibus-skk
Summary:  Japanese SKK input method for ibus
Version:  %{ver}
Release:  %{realrel}
Group:    System/Internationalization
License:  GPLv2+
URL:      http://github.com/ueno/ibus-skk

%if %{git_date}
Source0:  %{name}-git%{git_date}.tar.xz
Patch0:   autogen_sh.patch
%else
Source0:  http://cloud.github.com/downloads/ueno/ibus-skk/%{name}-%{version}.tar.gz
%endif

# fix compile error with vala-0.36.*
Patch10: fix-compile-error-with-vala-0.36.patch

# Add icon_prop_key support by AWASHIRO Ikuya
# https://github.com/ikunya/ibus-skk/commit/1a428b490553b2c36bdc746a9d96c67db9081dcc
Patch11: icon_prop_key.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  vala
BuildRequires:  intltool
BuildRequires:  libskk-devel >= 0.0.11
BuildRequires:  ibus-devel >= %{ibus_ver}
BuildRequires:  gtk+3-devel
%if %{git_date}
BuildRequires:  gnome-common
%endif

Requires:  ibus >= %{ibus_ver}
Requires:  skkdic

%description
A Japanese Simple Kana Kanji Input Method Engine for ibus.


%prep
%if %{git_date}
%setup -q -n %{name}-git%{git_date}
%patch0 -p1
%else
%setup -q
rm src/*vala.stamp
%endif

%patch10 -p0
%patch11 -p1

# don't touch XKB layout
sed -i 's!<layout>jp</layout>!<layout>default</layout>!' src/skk.xml.in.in


%build
%if %{git_date}
./autogen.sh \
 --prefix=%{_prefix} \
 --libdir=%{_libdir}  \
 --libexecdir=%{_libdir} \
 --disable-static
%else
%configure2_5x --disable-static
%endif

%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/skk.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<component type="inputmethod">
  <id>skk.xml</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>Simple Kana-Kanji</name>
  <summary>Japanese input method</summary>
  <description>
    <p>
      The SKK input method is designed for entering Japanese text.
      The input method was originally invented by Masahiko Sato in 1987 and it is
      quite different from other Japanese input methods in the way it handles input.
    </p>
    <p>
      While other Japanese input methods treat input as a sentence, SKK treats it as a
      word and leaves control of sentence construction to users.
      Though it is not what normal users expect, advanced users can input Japanese
      with SKK more efficiently.
    </p>
    <p>
      Input methods are typing systems allowing users to input complex languages.
      They are necessary because these contain too many characters to simply be laid
      out on a traditional keyboard.
    </p>
  </description>
  <url type="homepage">https://github.com/ueno/ibus-skk/</url>
  <url type="bugtracker">https://code.google.com/p/ibus/issues/list</url>
  <url type="help">https://code.google.com/p/ibus/wiki/FAQ</url>
  <update_contact><!-- upstream-contact_at_email.com --></update_contact>
</component>
EOF


%files -f %{name}.lang
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-skk
%{_libdir}/ibus-*-skk
%{_datadir}/ibus/component/skk.xml
%{_datadir}/applications/ibus-setup-skk.desktop
%{_datadir}/appdata/skk.appdata.xml


%changelog
* Fri Jun 09 2017 tomcat <> 1.4.2-3.git20150413
- add Patch10 for compile error with vala-0.36.*
- add Patch11 for show status indicator

* Fri Jul 17 2015 tomcat <> 1.4.2-2.git20150413
- build with ibus-1.5.11
- add %%{_datadir}/appdata/skk.appdata.xml

* Tue May 26 2015 tomcat <> 1.4.2-1.git20150413
- update to git.20150413
- update %%files

* Wed Apr 02 2014 tomcat <> 1.4.1-1.156
- rebuild with ibus-1.5.6

* Mon Dec 02 2013 tomcat <> 1.4.1-1.142
- build with ibus-1.4.2
 
